This page was not yet optimized for use on mobile devices.
Aruba 7280 Series Controller with ArubaOS FIPS Firmware
Certificate details
| Certificate ID | #4087 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 01.12.2021 |
| Standard | FIPS 140-2 |
| Security level | 2 |
| Type | Hardware |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode with tamper evident labels installed as indicated in the Security Policy. When installed, initialized and configured as specified in Section 13 of the Security Policy |
| Exceptions |
|
| Description | Aruba's family of Mobility Controllers are network infrastructure devices providing secure, scalable solutions for enterprise Wi-Fi, network security policy enforcement, VPN services, and wireless intrusion detection and prevention. Mobility controllers serve as central points of authentication, encryption, access control, and network coordination for all mobile network services. |
| Version (Hardware) | [Aruba 7280-USF1 (HPE SKU JX914A) and Aruba 7280-RWF1 (HPE SKU JX915A)] with FIPS Kit 4011570-01 (HPE SKU JY894A) |
| Version (Firmware) | ArubaOS 8.6.0.7-FIPS |
| Vendor | Aruba, a Hewlett Packard Enterprise company http://www.arubanetworks.com |
| Lab | Leidos Accredited Testing & Evaluation (AT&E) Lab |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, RC4, DES, 3DES, Triple-DES, HMAC, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512Asymmetric Algorithms
RSA 2048, ECDH, ECDSA, DH, Diffie-Hellman, DSAHash functions
SHA-1, SHA-256, SHA-384, SHA-512, MD5Schemes
Key Exchange, Key AgreementProtocols
SSHv2, SSH, SSL, TLS, TLS 1.2, IKEv2, IKEv1, IKE, VPNRandomness
DRBGLibraries
OpenSSLElliptic Curves
P-256, P-384Block cipher modes
ECB, CBC, CTR, GCM, CCMVendor
Broadcom, MicrosoftSecurity level
Level 2, level 2Standards
FIPS 140-2, FIPS 197, FIPS 198-1, FIPS 186-4, FIPS 180-4, FIPS 186-2, FIPS 140, SP 800-38A, SP 800-38C, SP 800-90A, SP 800-56A, SP 800-108, SP 800-56C, SP 800-67, SP 800-38F, SP 800-38D, NIST SP 800-52, SP 800-133, PKCS1, PKCS#1, RFC 4106, RFC 7296, RFC 5289, RFC 5282, X.509Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4087,
"dgst": "8f7f63fd3b611035",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"SHS#C1229",
"AES#C1230",
"SHS#C2170",
"#1266",
"HMAC#C1230",
"RSA#C1229",
"CVL#C1229",
"ECDSA#C1230",
"#2477",
"#2096",
"AES#2477",
"#C1229",
"#C1230",
"CVL#C1230",
"RSA#C2170",
"SHS#C1230",
"ECDSA#C1229",
"RSA#1266",
"AES#C1229",
"KTS#C1230",
"SHS#2096",
"#C2170",
"DRBG#C1229",
"HMAC#1520",
"#1520",
"HMAC#C1229",
"KBKDF#C1229",
"RSA#C1230"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"8.6.0.7"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 43,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDH": {
"ECDH": 4
},
"ECDSA": {
"ECDSA": 19
}
},
"FF": {
"DH": {
"DH": 8,
"Diffie-Hellman": 18
},
"DSA": {
"DSA": 1
}
},
"RSA": {
"RSA 2048": 2
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 7
},
"CCM": {
"CCM": 2
},
"CTR": {
"CTR": 5
},
"ECB": {
"ECB": 2
},
"GCM": {
"GCM": 8
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"OpenSSL": {
"OpenSSL": 12
}
},
"crypto_protocol": {
"IKE": {
"IKE": 11,
"IKEv1": 17,
"IKEv2": 21
},
"SSH": {
"SSH": 9,
"SSHv2": 15
},
"TLS": {
"SSL": {
"SSL": 1
},
"TLS": {
"TLS": 48,
"TLS 1.2": 1
}
},
"VPN": {
"VPN": 6
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 2
},
"KEX": {
"Key Exchange": 1
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 28,
"P-384": 26
}
},
"eval_facility": {},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES CTR 256": 1,
"AES-CBC 17": 1,
"AES-CBC 9": 1,
"AES-GCM 128": 1,
"AES-GCM 16": 1,
"AES-GCM 8": 1,
"CVL 10": 1,
"CVL 3": 1,
"Certificate RSA": 1,
"HMAC (384": 1,
"HMAC-SHA-1": 13,
"HMAC-SHA-1 (160": 1,
"HMAC-SHA-256": 18,
"HMAC-SHA-384": 20,
"HMAC-SHA-512": 10,
"HMAC-SHA-512 11": 2,
"HMAC-SHA-512 112": 2,
"HMAC-SHA-512 128": 2,
"HMAC-SHA-512 18": 2,
"HMAC-SHA1": 6,
"HMAC-SHA1-96": 1,
"PKCS#1": 3,
"PKCS1": 12,
"RSA 2048": 2,
"RSA PKCS#1": 3,
"SHA- 256": 3,
"SHA- 512": 4,
"SHA- 512 14": 1,
"SHA-1": 18,
"SHA-1 13": 1,
"SHA-1 2": 1,
"SHA-1 6": 1,
"SHA-256": 14,
"SHA-384": 12,
"SHA-512": 3,
"SHA2-256": 1
}
},
"fips_security_level": {
"Level": {
"Level 2": 52,
"level 2": 1
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 4
}
},
"SHA": {
"SHA1": {
"SHA-1": 21
},
"SHA2": {
"SHA-256": 14,
"SHA-384": 12,
"SHA-512": 3
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 21
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140": 1,
"FIPS 140-2": 72,
"FIPS 180-4": 4,
"FIPS 186-2": 2,
"FIPS 186-4": 10,
"FIPS 197": 4,
"FIPS 198-1": 3
},
"NIST": {
"NIST SP 800-52": 1,
"SP 800-108": 1,
"SP 800-133": 1,
"SP 800-38A": 4,
"SP 800-38C": 1,
"SP 800-38D": 1,
"SP 800-38F": 4,
"SP 800-56A": 4,
"SP 800-56C": 1,
"SP 800-67": 2,
"SP 800-90A": 1
},
"PKCS": {
"PKCS#1": 3,
"PKCS1": 6
},
"RFC": {
"RFC 4106": 1,
"RFC 5282": 1,
"RFC 5289": 2,
"RFC 7296": 1
},
"X509": {
"X.509": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 23
},
"RC": {
"RC4": 2
}
},
"DES": {
"3DES": {
"3DES": 1,
"Triple-DES": 11
},
"DES": {
"DES": 3
}
},
"constructions": {
"MAC": {
"HMAC": 9,
"HMAC-SHA-256": 9,
"HMAC-SHA-384": 10,
"HMAC-SHA-512": 9
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"Broadcom": {
"Broadcom": 9
},
"Microsoft": {
"Microsoft": 1
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"SHS#C1229",
"AES#C1230",
"SHS#C2170",
"HMAC#C1230",
"RSA#C1229",
"CVL#C1229",
"ECDSA#C1230",
"AES#2477",
"CVL#C1230",
"RSA#C2170",
"SHS#C1230",
"ECDSA#C1229",
"RSA#1266",
"AES#C1229",
"KTS#C1230",
"SHS#2096",
"DRBG#C1229",
"HMAC#1520",
"HMAC#C1229",
"KBKDF#C1229",
"RSA#C1230"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#C1229",
"#C2170",
"#C1230",
"#1520",
"#1266",
"#2477",
"#2096"
]
},
"policy_metadata": {
"/Author": "tsengjk",
"/CreationDate": "D:20210915230102-04\u002700\u0027",
"/Creator": "Nuance PDF Create",
"/ModDate": "D:20210915230116-04\u002700\u0027",
"/Producer": "Nuance PDF Create",
"/Title": "Microsoft Word - ArubaOS8.6-7280-Security-Policy .doc",
"pdf_file_size_bytes": 913920,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 41
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "c2b7dc21430e0ab1124ebbc760c8f445ce09ee44ecb67b886d7e8bdd237b8f5c",
"source_hash": "e428f6a51c6ffc05c9200498370a2cc0203d518e6339a892b236d8222071d770",
"txt_hash": "9d1d0564b8d48cc4c0394c9439fdf7c61474120d1fe402aa666d1a396175d5f2"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode with tamper evident labels installed as indicated in the Security Policy. When installed, initialized and configured as specified in Section 13 of the Security Policy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/December 2021_020122_0905_signed.pdf",
"date_sunset": null,
"description": "Aruba\u0027s family of Mobility Controllers are network infrastructure devices providing secure, scalable solutions for enterprise Wi-Fi, network security policy enforcement, VPN services, and wireless intrusion detection and prevention. Mobility controllers serve as central points of authentication, encryption, access control, and network coordination for all mobile network services.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Mitigation of Other Attacks: N/A"
],
"fw_versions": "ArubaOS 8.6.0.7-FIPS",
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": "[Aruba 7280-USF1 (HPE SKU JX914A) and Aruba 7280-RWF1 (HPE SKU JX915A)] with FIPS Kit 4011570-01 (HPE SKU JY894A)",
"level": 2,
"mentioned_certs": {},
"module_name": "Aruba 7280 Series Controller with ArubaOS FIPS Firmware",
"module_type": "Hardware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": null,
"tested_conf": null,
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-12-01",
"lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
"validation_type": "Initial"
}
],
"vendor": "Aruba, a Hewlett Packard Enterprise company",
"vendor_url": "http://www.arubanetworks.com"
}
}